Subject: [ANNOUNCE] util-linux-1.1 available
From: Rik Faith <[email-masked]>
Date: 22 Dec 1993 01:08:28 +0200
Newsgroups: comp.os.linux.announce

[Because of the many changes, please consider this a "beta".  Look for
another release in January.  Send me bug reports in the meantime :-)

ftp from ftp.cs.unc.edu:/pub/faith/linux/utils, sunsite.unc.edu, and
tsx-11.mit.edu]

util-linux-1.1.src.tar.gz
util-linux-1.1.bin.tar.gz

    WARNING: THIS COLLECTION DOES *NOT* SUPPORT SHADOW PASSWORDS.

    WARNING: THIS COLLECTION DOES *NOT* SUPPORT SYSTEM V INITTAB.

    WARNING: MANY FILES HAVE CHANGED POSITION -- IF YOU ARE NOT CAREFUL,
             YOU AND YOUR SYSTEM WILL BE HOSED.

    WARNING: DO *NOT* INSTALL WITHOUT THINKING.

    WARNING: Read the util-linux-1.1.Notes file *BEFORE* and *AFTER*
             installation: there are a few links you must make by hand.

    This is a collection of many assorted utilities for Linux.  Some are
    system utilities that are not easily available anywhere elsewhere
    (e.g., mkfs); others are BSD ports of common utilities that are not yet
    contained in any FSF package (e.g., col.); others are non-System-V
    alternatives to common utilities (e.g., simpleinit, agetty, login,
    passwd).

    This distribution is a superset of my previous distributions:
    util-etc*, util-bin*, and util-usrbin*.  With this distribution, the
    location of many files have changed.  Notably, there are no binaries in
    /etc.  Binaries that were in /etc have been moved to /sbin, /bin,
    /usr/sbin, and /usr/bin.  The arrangement, as nearly as I can
    determine, conforms to emerging standard of practice in the Linux
    community.  If you don't like the arrangement, do your own: complete
    source is provided.

    Rick Sladkey has updated many utilities, including setsid, chroot,
    update, selection, mount, and syslogd.  Of greatest interest is the
    mount package, which now supports the ability of normal users to mount
    file systems in a secure mannner.

    I added a few simple things, like BSD pwd, renice, and tsort.  Many
    people provided patches and suggestions.  I deeply appreciate this.

    Man pages are provided for all of the programs.  The mount(8) man page
    has been extensively updated for this release, and includes more
    documentation on file-system specific options.

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.